export declare function MainContentTree({ mode, rootItemId, hideRootNodes, }: {
    mode: "insert-component" | "normal" | "select-page";
    rootItemId?: string;
    hideRootNodes?: boolean;
}): import("react/jsx-runtime").JSX.Element | null;
